Subject: Re: [PATCH v2 17/19] PCI: of_property: Add interrupt-controller property in PCI device nodes

From: Rob Herring <[email-masked]>
Date: Mon, 10 Jun 2024 15:37:35 -0600

On Thu, Jun 06, 2024 at 02:26:12PM -0500, Bjorn Helgaas wrote:
> On Mon, May 27, 2024 at 06:14:44PM +0200, Herve Codina wrote:
> > PCI devices and bridges DT nodes created during the PCI scan are created
> > with the interrupt-map property set to handle interrupts.
> > 
> > In order to set this interrupt-map property at a specific level, a
> > phandle to the parent interrupt controller is needed. On systems that
> > are not fully described by a device-tree, the parent interrupt
> > controller may be unavailable (i.e. not described by the device-tree).
> > 
> > As mentioned in the [1], avoiding the use of the interrupt-map property
> > and considering a PCI device as an interrupt controller itself avoid the
> > use of a parent interrupt phandle.
> > 
> > In that case, the PCI device itself as an interrupt controller is
> > responsible for routing the interrupts described in the device-tree
> > world (DT overlay) to the PCI interrupts.
> > 
> > Add the 'interrupt-controller' property in the PCI device DT node.
> > 
> > [1]: https://lore.kernel.org/lkml/CAL_Jsq+je7+9ATR=B6jXHjEJHjn24vQFs4Tvi9=[email-masked]/
> > 
> > Signed-off-by: Herve Codina <[email-masked]>
> 
> No objection from me, but I'd like an ack/review from Rob.

Given it is more DT patches in the series, how about I take them and 
this one with your ack instead?

Rob